GCLOUD_APP_INSTANCES_LIST(1)

NAME

gcloud app instances list - list the instances affiliated with the current App Engine project

SYNOPSIS

gcloud app instances list [--service=SERVICE, -s SERVICE] [--version=VERSION, -v VERSION] [--filter=EXPRESSION] [--limit=LIMIT] [--page-size=PAGE_SIZE] [--sort-by=[FIELD,...]] [--uri] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
List the instances affiliated with the current App Engine project.

FLAGS

    --service=SERVICE, -s SERVICE
        If specified, only list instances belonging to the given service.

    --version=VERSION, -v VERSION
        If specified, only list instances belonging to the given version.

LIST COMMAND FLAGS

    --filter=EXPRESSION
        Apply a Boolean filter EXPRESSION to each resource item to be listed. If the expression evaluates True then that item is listed. For more details and examples of filter expressions run $ gcloud topic filters. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --limit=LIMIT
        The maximum number of resources to list. The default is unlimited. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --page-size=PAGE_SIZE
        Some services group resource list output into pages. This flag specifies the maximum number of resources per page. The default is determined by the service if it supports paging, otherwise it is unlimited (no paging). Paging may be applied before or after --filter and --limit depending on the service.

    --sort-by=[FIELD,...]
        A comma-separated list of resource field key names to sort by. The default order is ascending. Prefix a field with ``~'' for descending order on that field. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --uri
        Print a list of resource URIs instead of the default output.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To list all App Engine instances, run:
    $ gcloud app instances list
To list all App Engine instances for a given service, run:
    $ gcloud app instances list -s myservice
To list all App Engine instances for a given version, run:
    $ gcloud app instances list -v v1